Subject: Re: [PATCH net-next] net: macb: In shared MDIO usecase make MDIO producer ethernet node to probe first

From: Jakub Kicinski <[email-masked]>
Date: Wed, 29 Jun 2022 08:39:06 -0700

On Wed, 29 Jun 2022 15:24:55 +0000 Pandey, Radhey Shyam wrote:
> Oh, I could also see this error when making it a module compilation.
> I will fix it in v2. As an alternative to device_is_bound() i think we 
> can check the presence of drvdata. Similar approach i see it in ongoing
> onboard_usb_hub driver series[1]. Does it look ok?/any other suggestions?
> 
> -       if (mdio_pdev && !device_is_bound(&mdio_pdev->dev)) 
> +       if (mdio_pdev && !dev_get_drvdata(&mdio_pdev->dev)) 
> 
> [1]: https://lore.kernel.org/all/20220622144857.v23.2.I7c9a1f1d6ced41dd8310e8a03da666a32364e790@changeid/
> Listed in v21 changes.

Yeah, no real opinion here. The entire patch looks odd but I lost track
of the devlink discussions. Could you CC Saravana, Greg, Rafael, etc
on the next version? And the Ethernet PHY maintainers.